diff options
author | shuai chen <chenshuai@huawei.com> | 2016-08-17 07:36:53 +0000 |
---|---|---|
committer | Gerrit Code Review <gerrit@172.30.200.206> | 2016-08-17 07:36:53 +0000 |
commit | 9d6451426eb12ae4373ba1e526728a0ccf42886b (patch) | |
tree | 8debbb84a74c4585633e4b5fb889f91517e5d088 /deploy/launch.sh | |
parent | f485be85ee52879c209678429fa72ad3e48d8776 (diff) | |
parent | b7058b4b3f823cf4c95c38741dddc68b59b733cc (diff) |
Merge "Prepare the jump host offline"
Diffstat (limited to 'deploy/launch.sh')
-rwxr-xr-x | deploy/launch.sh | 16 |
1 files changed, 10 insertions, 6 deletions
diff --git a/deploy/launch.sh b/deploy/launch.sh index 488e0fd7..2c272c79 100755 --- a/deploy/launch.sh +++ b/deploy/launch.sh @@ -15,7 +15,6 @@ mkdir -p $WORK_DIR/script export DEPLOY_FIRST_TIME=${DEPLOY_FIRST_TIME-"true"} source ${COMPASS_DIR}/deploy/prepare.sh -prepare_python_env source ${COMPASS_DIR}/util/log.sh source ${COMPASS_DIR}/deploy/deploy_parameter.sh source $(process_input_para $*) || exit 1 @@ -30,6 +29,16 @@ source ${COMPASS_DIR}/deploy/compass_vm.sh source ${COMPASS_DIR}/deploy/deploy_host.sh ######################### main process +download_iso +pre_prepare +prepare_env +if [[ "$DEPLOY_COMPASS" == "true" ]]; then + if ! prepare_python_env;then + echo "prepare_python_env failed" + exit 1 + fi +fi + print_logo if [[ ! -z $VIRT_NUMBER ]];then @@ -46,11 +55,6 @@ fi export machines if [[ "$DEPLOY_COMPASS" == "true" ]]; then - if ! prepare_env;then - echo "prepare_env failed" - exit 1 - fi - log_info "########## set up network begin #############" if ! create_nets;then log_error "create_nets failed" |